<?php

/////////////////////////////////////////////////////////////////////////////
// General information
/////////////////////////////////////////////////////////////////////////////

$app['basename'] = 'wireless_ap';
$app['version'] = '1.1.2';
$app['release'] = '1';
$app['vendor'] = 'Todd Lewis'; // e.g. Acme Co
$app['packager'] = 'Todd Lewis'; // e.g. Gordie Howe
$app['license'] = 'GPLv3'; // e.g. 'GPLv3';
$app['license_core'] = 'LGPLv3'; // e.g. 'LGPLv3';
$app['description'] = lang('wireless_ap_app_description');

/////////////////////////////////////////////////////////////////////////////
// App name and categories
/////////////////////////////////////////////////////////////////////////////

$app['name'] = lang('wireless_ap_app_name');
$app['category'] = lang('base_category_network');
$app['subcategory'] = lang('base_subcategory_settings');

/////////////////////////////////////////////////////////////////////////////
// Packaging
/////////////////////////////////////////////////////////////////////////////

$app['requires'] = array(
    'app-accounts',
    'app-incoming-firewall',
    'app-groups',
    'app-users',
    'app-network',
);

$app['core_requires'] = array(
    'app-events-core >= 1:2.3.0',
    'app-network-core',
    'app-incoming-firewall-core',
    'app-radius-core',
    'hostapd',
    'openssl',
    'wireless-tools',
    'm2crypto',
    'python2-future',
    'libntlm',
    'wpa_supplicant',
    'openssl',
);


$app['core_file_manifest'] = array(
    'hostapd-multi.php'=> array('target' => '/var/clearos/base/daemon/hostapd-multi.php'),
    'hostapd-multi.service'=> array(
        'target' => '/usr/lib/systemd/system/hostapd-multi.service',
        'mode' => '0644'
    ),
    'hostapd-multi'=> array(
        'target' => '/usr/sbin/hostapd-multi',
        'mode' => '0755'
    ),
    'filewatch-hostapd-multi.conf'=> array('target' => '/etc/clearsync.d/filewatch-hostapd-multi.conf'),
);

$app['delete_dependency'] = array(
    'hostapd',
    'app-wireless-core',
);
